Package com.pixelmed.event

# Class SelfRegisteringListener

java.lang.Object
com.pixelmed.event.Listener
com.pixelmed.event.SelfRegisteringListener

All Implemented Interfaces:
  `EventListener`

public abstract class SelfRegisteringListener extends Listener

## Constructor Summary

Constructors
Constructor
Description
`SelfRegisteringListener(String className, EventContext eventContext)`
Create a listener that is registered with the ApplicationEventDispatcher.

## Method Summary

### Methods inherited from class com.pixelmed.event.Listener

`changed, getClassOfEventHandled, getEventContext, setClassOfEventHandled, setEventContext, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SelfRegisteringListener

public SelfRegisteringListener(String className, EventContext eventContext)

Create a listener that is registered with the ApplicationEventDispatcher.

The caller of this constructor needs to keep a strong reference (e.g., dialog or application scope variable) to keep the listener hanging around and receiving events, since the ApplicationEventDispatcher uses only a WeakReference, which may go away during garbage collection.

Parameters:
  `className` -
  `eventContext` -